-- | Programming the Arduino Uno with Copilot.

module Copilot.Arduino.Uno (
	-- * General Arduino programming infrastructure
	module Copilot.Arduino
	-- * GPIO
	, pin2
	, pin3
	, pin4
	, pin5
	, pin6
	, pin7
	, pin8
	, pin9
	, pin10
	, pin11
	, pin12
	, pin13
	-- * Analog input
	-- TODO!
	--, a0
	--, a1
	--, a2
	--, a3
	--, a4
	--, a5
	-- * UART
	-- Not currently supported!
	--, uart
) where

import Copilot.Arduino
import Copilot.Arduino.Internals

pin2, pin3, pin4, pin5, pin6, pin7, pin8, pin9, pin10, pin11, pin12, pin13 :: GPIO
pin2 = GPIO 2
pin3 = GPIO 3
pin4 = GPIO 4
pin5 = GPIO 5
pin6 = GPIO 6
pin7 = GPIO 7
pin8 = GPIO 8
pin9 = GPIO 9
pin10 = GPIO 10
pin11 = GPIO 11
pin12 = GPIO 12
-- | This pin drives the `led`
pin13 = GPIO 13

